# ReactPage

[![Build Status](https://app.travis-ci.com/react-page/react-page.svg?branch=master)](https://app.travis-ci.com/react-page/react-page)
[![Coverage Status](https://coveralls.io/repos/github/ory-am/editor/badge.svg?branch=master)](https://coveralls.io/github/ory/editor?branch=master)
[![Docs](https://img.shields.io/badge/docs-guide-blue.svg)](https://react-page.github.io/docs)

ReactPage is a smart, extensible and modern editor ("WYSIWYG") for the web written in React. If you are fed up with the limitations of `contenteditable`, you are in the right place.

<img width="60%" alt="ReactPage Demo" src="/docs-images/quick-example.gif">

## Install

`yarn add @react-page/editor`

or

`npm install --save @react-page/editor`

There is also a `beta` release channel, which might contain unstable features:

`yarn add @react-page/editor@beta`

or

`npm install --save @react-page/editor@beta`

## Demo

A demo can be found on [Demo](https://react-page.github.io/) which reflects the `stable` release channel on npm.

the current `beta` version is also available as a demo: [beta Demo](https://react-page.github.io/beta)

## Documentation

The documentation is available at [docs](https://react-page.github.io/docs)

Documentation for the current beta is at [beta docs](https://react-page.github.io/beta/docs)

## Contributors

<a href="https://github.com/react-page/react-page/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=react-page/react-page" />
</a>

Made with [contributors-img](https://contrib.rocks).

## Sponsored by

- [GuestBell](https://guestbell.com/) - Customer centric online POS for Hotels and short terms stays.
- [Panter](https://www.panter.ch/) - Software engineering company for custom solutions. Located in Zürich Switzerland.
- [Impact Hub Switzerland](https://www.impacthub.ch/) - Coworking spaces and community of creators creating a radically collaborative world.

## Attributions

Formerly known as ORY Editor

Original Library created by [@aeneasr](https://github.com/aeneasr) [@ory](https://github.com/ory)

[![Follow twitter](https://img.shields.io/badge/follow-twitter-00cc99.svg)](https://twitter.com/_aeneasr)
[![Follow GitHub](https://img.shields.io/badge/follow-github-00cc99.svg)](https://github.com/arekkas)

## In the wild

- [GuestBell Hotel App](https://guest.guestbell.com/demo-hotel/app/property) - ReactPage is used as CMS for hotel landing pages.
- [Veloplus Online Shop](https://www.veloplus.ch/) - ReactPage is used to create and display any content page (and the landing page as well)
- [Bike2School](https://www.bike2school.ch/) - A project to promote going to school by bike. It uses ReactPage for content editing.

## Community

[join us in the new Discussion board](https://github.com/react-page/react-page/discussions)
